ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Xavier Hanin" <xavier.ha...@gmail.com>
Subject Re: specify versions separate from dependencies
Date Wed, 27 Feb 2008 16:04:24 GMT
On Wed, Feb 27, 2008 at 4:59 PM, Niklas Matthies <ml_ivy-user@nmhq.net>
wrote:

> On Wed 2008-02-27 at 16:50h, Xavier Hanin wrote on ivy-user:
> :
> > Personnally I was just thinking about something very similar to maven
> > dependency management feature, with slight adaptation to Ivy syntax.
> >
> > Something like:
> > <ivy-module version="2.0">
> >   <info ... />
> >   <dependencies>
> >   </dependencies>
> >   <dependencyManagement>
> >     <dependency org="foo" name="bar" rev="1.0"  />
> >   </dependencyManagement>
> > </ivy-module>
>
> How would this be different from a regular dependency with a "force"
> attribute?

It's different only in concept: I don't like having to add a dependency
declaration when your module don't actually depend on something. Later you
can wonder why you have this dependency. That's why we have the conflicts
section in Ivy files. So I think this kind of dependency version overloading
deserves a new feature.

Xavier

>
>
> -- Niklas Matthies
>



-- 
Xavier Hanin - Independent Java Consultant
http://xhab.blogspot.com/
http://ant.apache.org/ivy/
http://www.xoocode.org/

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message